using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 通知公告查看授权
    /// </summary>
    [Description("通知公告查看授权")]
	[IgnoreT4]public class T_FM_NOTIFICATION_PERMIT : MesEntityBase
	{
		[Description("通知公告ID")]
		public Guid NOTIFICATION_ID { get; set; }

		[Description("授权类型")]
		[EnumName("FMNotificationPermitTypeEnum")]
		public int PERMIT_TYPE { get; set; }

		[Description("通知公告授权组织ID")]
		public Guid? PERMIT_KEY_ID { get; set; }
		 
		[Description("导航：通知公告表")]
		public virtual T_FM_NOTIFICATION Nav_Notification { get; set; }

	}
}
